## libkscreen 5.6.5

=== debian/changelog ===
libkscreen (4:5.6.5-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Jun 2016 19:53:25 +0200

libkscreen (4:5.6.4-3) unstable; urgency=medium

  * New patch: make_kwayland_optional.diff
  * Build against kwayland only on linux

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 11:45:24 +0200

libkscreen (4:5.6.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 17:51:32 +0200

libkscreen (4:5.6.4-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Avoid circular dependencies.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Update symbols files from buildds logs (4:5.5.4-1).
  * Add upstream metadata (DEP-12)
  * Follow upstream soversion bump

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Bump Standards-Version to 3.9.8
  * Bump -bin version dependency, now the plugins are in the -bin package
  * Update symbols files for the new soversion

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 10:24:31 +0200

=== debian/control ===
Source: libkscreen
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.14.0~),
               kwayland-dev [linux-any],
               libqt5x11extras5-dev (>= 5.4),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/libkscreen
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/libkscreen.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/libkscreen.git

Package: libkf5screen-dev
Section: libdevel
Architecture: any
Depends: libkf5screen7 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: library for screen management - development files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the files necessary for development.

Package: libkf5screen7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the shared library

Package: libkf5screen-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5screen5, libkf5screen6
Replaces: libkf5screen5, libkf5screen6
Description: library for screen management - helpers
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the library helpers and the corresponding dbus service.

## libkscreen 5.7.5

=== debian/changelog ===
libkscreen (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:28:08 -0500

libkscreen (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * Refreshing symbols
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:06:44 +0000

libkscreen (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:48:18 +0100

libkscreen (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Adding kwayland-dev as a build dep
  * Bumping soversion from 6 to 7
    - Renamed libkf5screen install, symbols and overrides files
    - Bumped version from 6 to 7
  * Refreshed symbols and removed MISSING
  * Removed duplicate files installed in two install files

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:21:36 -0700

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.14.0~),
-               kwayland-dev [linux-any],
-               libqt5x11extras5-dev (>= 5.4),
+               extra-cmake-modules (>= 5.24.0~),
+               kwayland-dev (>= 4:5.24.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libx11-xcb-dev,
                libxcb-randr0-dev,
@@ -15,17 +15,17 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.7
 Homepage: https://projects.kde.org/projects/kde/workspace/libkscreen
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/libkscreen.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/libkscreen.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
 
 Package: libkf5screen-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5screen7 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: library for screen management - development files
  The KDE multiple monitor support is trying be as smart as possible
@@ -38,6 +38,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5screen5 (<< 4:5.2.0), libkf5screen6
+Replaces: libkf5screen5 (<< 4:5.2.0), libkf5screen6
 Description: library for screen management - shared library
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration
@@ -49,8 +51,8 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5screen5, libkf5screen6
-Replaces: libkf5screen5, libkf5screen6
+Breaks: libkf5screen6 (<< 4:5.5.4-2~)
+Replaces: libkf5screen6 (<< 4:5.5.4-2~)
 Description: library for screen management - helpers
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration

## libkscreen 5.8.2

=== debian/changelog ===
libkscreen (4:5.8.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:22:51 +0200

libkscreen (4:5.8.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:58:51 +0200

libkscreen (4:5.8.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Update symbols files.

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Replace dbus-launch with dbus-run-session in tests
  * Bump group breaks (5.8)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:04:50 +0200

libkscreen (4:5.7.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * New upstream release (5.7.4)

  [ Maximiliano Curia ]
  * Bump group breaks (5.7)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 15:04:49 +0200

libkscreen (4:5.7.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Update symbols files.

  [ Maximiliano Curia ]
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Jul 2016 16:08:09 +0200

## libkscreen 5.8.6

=== debian/changelog ===
libkscreen (4:5.8.6-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 14 Mar 2017 18:55:01 +0100

libkscreen (4:5.8.6-1) experimental; urgency=medium

  * New upstream release (5.8.6)
    + Disable kscreen.log logging by default (Closes: 846940)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 13 Mar 2017 11:33:19 +0100

libkscreen (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:19 +0100

libkscreen (4:5.8.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:37:14 +0100

=== debian/control ===
Source: libkscreen
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.14.0~),
               libkf5wayland-dev [linux-any],
               libqt5x11extras5-dev (>= 5.4.0~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/libkscreen
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/libkscreen.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/libkscreen.git

Package: libkf5screen-dev
Section: libdevel
Architecture: any
Depends: libkf5screen7 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends}
Description: library for screen management - development files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the files necessary for development.

Package: libkf5screen7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the shared library
Breaks: kscreen (<< 4:5.8),
        libpowerdevilcore2 (<< 4:5.8),
        plasma-workspace (<< 4:5.7)

Package: libkf5screen-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kscreen (<< 4:5.8),
        libkf5screen5,
        libkf5screen6,
        libpowerdevilcore2 (<< 4:5.8),
        plasma-workspace (<< 4:5.7)
Replaces: libkf5screen5, libkf5screen6
Description: library for screen management - helpers
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the library helpers and the corresponding dbus service.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb, xauth, dbus (>= 1.8), libgl1-mesa-dri
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## libkscreen 5.9.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(libkscreen)
set(PROJECT_VERSION "5.9.4")

find_package(ECM 5.14.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMSetupVersion)
include(ECMPackageConfigHelpers)
include(ECMMarkAsTest)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(CheckCXXCompilerFlag)

set(REQUIRED_QT_VERSION 5.4.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Gui Test X11Extras)

# Wayland backend
find_package(KF5Wayland CONFIG REQUIRED)
add_feature_info("KF5Wayland" KF5Wayland_FOUND "Required for building libkscreen's KWayland backend")

# xrandr backend

find_package(XCB COMPONENTS XCB RANDR)
set_package_properties(XCB PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Required for building XRandR backends"
)

# library setup

set(KF5_VERSION ${PROJECT_VERSION}) #When we are happy with the api, we can sync with frameworks
ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KSCREEN
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kscreen_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ScreenConfigVersion.cmake"
                        SOVERSION 7)

check_cxx_compiler_flag(-fvisibility=hidden _HAVE_VISIBILITY)
if (_HAVE_VISIBILITY AND NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

  check_cxx_compiler_flag(-fvisibility-inlines-hidden _HAVE_VISIBILITY_INLINES)
  if (_HAVE_VISIBILITY_INLINES)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
  endif (_HAVE_VISIBILITY_INLINES)
endif (_HAVE_VISIBILITY AND NOT WIN32)

add_subdirectory(src)
add_subdirectory(backends)
add_subdirectory(autotests)
add_subdirectory(tests)

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Screen")
ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5ScreenConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5ScreenConfig.cmake"
                              INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ScreenConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ScreenConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF5ScreenTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5ScreenTargets.cmake
  NAMESPACE KF5::
  COMPONENT Devel
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/kscreen_version.h"
  DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
  COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

############################################ apidox ############################################

option(LIBKSCREEN_BUILD_API_DOCS "Build libkscreen API documentation")

if(LIBKSCREEN_BUILD_API_DOCS)
  find_package(Doxygen)

  if(DOXYGEN_EXECUTABLE)
    configure_file(${libkscreen_SOURCE_DIR}/.Doxyfile.cmake ${libkscreen_BINARY_DIR}/Doxyfile)

    if(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "${QT_DOC_DIR}/html")
    else(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "http://doc.qt.nokia.com/latest/")
    endif(EXISTS ${QT_DOC_DIR}/html)

    add_custom_target(
      apidox ALL
      COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
      COMMAND doc/html/installdox -l qt4.tag@${QTDOCS} doc/html/*.html)
  endif(DOXYGEN_EXECUTABLE)
endif(LIBKSCREEN_BUILD_API_DOCS)

=== debian/changelog ===
libkscreen (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:59:35 +0000

libkscreen (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:53:28 +0000

libkscreen (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:06:36 +0000

libkscreen (4:5.9.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.

  [ Rik Mills ]
  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:21:32 +0000

libkscreen (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:55:59 +0000

libkscreen (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)
  * Refresh patch make_kwayland_optional.diff
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:46:18 +0000

libkscreen (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Update lintian override for libkf5screen7 against 'symbols-declares-
    dependency-on-other-package'
  * Add in libkfscreen-bin Breaks/Replaces against libkf5screen7 (<<
    4:5.8.3) due to file moving (/usr/lib/*/qt5/plugins/kf5/kscreen/)
  * Create XDG_RUNTIME_DIR when running tests
  * Now libkf5screen-bin Breaks/Replaces libkf5screen6 (<< 4:5.8.3) instead of
    (<< 4:5.5.4-2~) in order to make sure the upgrades are safe with regarding
    to /usr/lib/*/qt5/plugins/kf5/kscreen/ file moving.
  * Remove undesired Breaks after debian merge.

  [ Simon Quigley ]
  * New upstream release (5.8.3)
  * Merge from Debian

  [ Rik Mills ]
  * New upstream release (5.8.4)
  * Refresh patch make_kwayland_optional.diff

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:55:23 +0000

=== debian/control ===
Source: libkscreen
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5wayland-dev (>= 4:5.31.0~) [linux-any],
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/libkscreen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen

Package: libkf5screen-dev
Architecture: any
Section: libdevel
Depends: libkf5screen7 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: library for screen management - development files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the files necessary for development.

Package: libkf5screen7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5screen5 (<< 4:5.2.0), libkf5screen6
Replaces: libkf5screen5 (<< 4:5.2.0), libkf5screen6
Description: library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the shared library

Package: libkf5screen-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5screen5, libkf5screen6 (<< 4:5.8.3), libkf5screen7 (<< 4:5.8.3)
Replaces: libkf5screen-bin (<< 4:5.8.3),
          libkf5screen5,
          libkf5screen6 (<< 4:5.8.3),
          libkf5screen7 (<< 4:5.8.3)
Description: library for screen management - helpers
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the library helpers and the corresponding dbus service.

## libkscreen 5.9.5

=== debian/changelog ===
libkscreen (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:17:02 +0100

## libkscreen 5.10.5

=== debian/changelog ===
libkscreen (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:40:32 +0100

libkscreen (4:5.10.4-0ubuntu2) artful; urgency=medium

  * Disable failing/unreliable test

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 11 Aug 2017 16:22:19 +0100

libkscreen (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:38:33 +0100

libkscreen (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:17:06 +0100

libkscreen (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:13:32 +0100

libkscreen (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:10:15 +0100

libkscreen (4:5.10.0-0ubuntu1) artful; urgency=low

  [ Rik Mills ]
  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

  [ José Manuel Santamaría Lema ]
  * Add upstream_fix_scaling_test.diff

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:50:33 +0100

libkscreen (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:33:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5wayland-dev (>= 4:5.31.0~) [linux-any],
+               extra-cmake-modules (>= 5.36.0~),
+               libkf5wayland-dev (>= 4:5.36.0~) [linux-any],
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libx11-xcb-dev,

## libkscreen 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,10 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 project(libkscreen)
-set(PROJECT_VERSION "5.9.4")
+set(PROJECT_VERSION "5.12.4")
+
+set(REQUIRED_QT_VERSION "5.9.0")
+set(KF5_MIN_VERSION "5.42.0")
 
 find_package(ECM 5.14.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
@@ -16,11 +19,10 @@
 include(FeatureSummary)
 include(CheckCXXCompilerFlag)
 
-set(REQUIRED_QT_VERSION 5.4.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Gui Test X11Extras)
 
 # Wayland backend
-find_package(KF5Wayland CONFIG REQUIRED)
+find_package(KF5Wayland ${KF5_MIN_VERSION} CONFIG REQUIRED)
 add_feature_info("KF5Wayland" KF5Wayland_FOUND "Required for building libkscreen's KWayland backend")
 
 # xrandr backend

=== src/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDES})

add_subdirectory(backendlauncher)
add_subdirectory(doctor)
set(libkscreen_SRCS
    abstractbackend.cpp
    backendmanager.cpp
    config.cpp
    configoperation.cpp
    getconfigoperation.cpp
    setconfigoperation.cpp
    configmonitor.cpp
    configserializer.cpp
    screen.cpp
    output.cpp
    edid.cpp
    mode.cpp
    debug_p.cpp
    log.cpp
)

qt5_add_dbus_interface(libkscreen_SRCS ${CMAKE_SOURCE_DIR}/interfaces/org.kde.KScreen.Backend.xml backendinterface)

add_library(KF5Screen SHARED ${libkscreen_SRCS})

target_link_libraries(KF5Screen
    PUBLIC
    Qt5::Core
    Qt5::Gui
    PRIVATE
    Qt5::DBus
    Qt5::X11Extras
)

set_target_properties(KF5Screen PROPERTIES
    VERSION "${KSCREEN_VERSION_STRING}"
    SOVERSION "${KSCREEN_SOVERSION}"
    EXPORT_NAME Screen
)

target_include_directories(KF5Screen PUBLIC "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KScreen>")

install(TARGETS KF5Screen EXPORT KF5ScreenTargets ${INSTALL_TARGETS_DEFAULT_ARGS})
add_library(KF5::Screen ALIAS KF5Screen)

ecm_generate_headers(KScreen_HEADERS
    HEADER_NAMES
        Log
        Mode
        Output
        EDID
        Screen
        Config
        ConfigMonitor
        ConfigOperation
        GetConfigOperation
        SetConfigOperation
        Types
    PREFIX KScreen
    REQUIRED_HEADERS KScreen_REQ_HEADERS
)

install(FILES ${KScreen_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KScreen/KScreen
        COMPONENT Devel)
install(FILES kscreen_export.h
              backendmanager_p.h # needed for unit-tests in KScreen
              ${KScreen_REQ_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KScreen/kscreen)

if(NOT WIN32)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kscreen2.pc.in ${CMAKE_CURRENT_BINARY_DIR}/kscreen2.pc @ONLY)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kscreen2.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KScreen LIB_NAME KF5Screen DEPS "core" FILENAME_VAR PRI_FILENAME)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
libkscreen (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:53:50 +0100

libkscreen (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:33 +0000

libkscreen (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:43:08 +0000

libkscreen (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * Update patch; make_kwayland_optional.diff
  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:13:11 +0000

libkscreen (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * Update symbols from build logs
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:38 +0000

libkscreen (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:39:21 +0000

libkscreen (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:15:38 -0600

libkscreen (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:58:44 +0000

libkscreen (4:5.10.5-0ubuntu2) bionic; urgency=medium

  * Skip testsuite on architectures Kubuntu does not officially support

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Nov 2017 15:07:08 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
-               libkf5wayland-dev (>= 4:5.36.0~) [linux-any],
+               extra-cmake-modules (>= 5.42.0~),
+               libkf5wayland-dev (>= 4:5.42.0~) [linux-any],
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libx11-xcb-dev,
@@ -20,6 +20,22 @@
 Homepage: https://projects.kde.org/projects/kde/workspace/libkscreen
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
+
+Package: libkf5screen-bin
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5screen5, libkf5screen6 (<< 4:5.8.3), libkf5screen7 (<< 4:5.8.3)
+Replaces: libkf5screen-bin (<< 4:5.8.3),
+          libkf5screen5,
+          libkf5screen6 (<< 4:5.8.3),
+          libkf5screen7 (<< 4:5.8.3)
+Description: library for screen management - helpers
+ The KDE multiple monitor support is trying be as smart as possible
+ adapting the behavior of it to each use case making the configuration
+ of monitors as simple as plugging them to your computer.
+ .
+ This package contains the library helpers and the corresponding dbus service.
 
 Package: libkf5screen-dev
 Architecture: any
@@ -46,19 +62,3 @@
  of monitors as simple as plugging them to your computer.
  .
  This package contains the shared library
-
-Package: libkf5screen-bin
-Architecture: any
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5screen5, libkf5screen6 (<< 4:5.8.3), libkf5screen7 (<< 4:5.8.3)
-Replaces: libkf5screen-bin (<< 4:5.8.3),
-          libkf5screen5,
-          libkf5screen6 (<< 4:5.8.3),
-          libkf5screen7 (<< 4:5.8.3)
-Description: library for screen management - helpers
- The KDE multiple monitor support is trying be as smart as possible
- adapting the behavior of it to each use case making the configuration
- of monitors as simple as plugging them to your computer.
- .
- This package contains the library helpers and the corresponding dbus service.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb, xauth, dbus-x11, libgl1-mesa-dri,
	kwin-wayland-backend-fbdev
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/libkscreen-([\d.]+)\.tar\.xz

## libkscreen 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 project(libkscreen)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 
 set(REQUIRED_QT_VERSION "5.9.0")
 set(KF5_MIN_VERSION "5.42.0")

=== backends/fake/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src
                    ${CMAKE_BUILD_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
)

set(fake_SRCS
    fake.cpp
    parser.cpp
)

qt5_add_dbus_adaptor(fake_SRCS ${CMAKE_SOURCE_DIR}/interfaces/org.kde.KScreen.FakeBackend.xml
                     fake.h Fake
)

add_library(KSC_Fake MODULE ${fake_SRCS})

set_target_properties(KSC_Fake PROPERTIES PREFIX "")
target_link_libraries(KSC_Fake
    Qt5::Core
    Qt5::DBus
    KF5::Screen
)

install(TARGETS KSC_Fake DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kscreen/)

=== backends/xrandr1.1/CMakeLists.txt ===
find_package(XCB REQUIRED COMPONENTS XCB RANDR)

include_directories(${CMAKE_SOURCE_DIR}/src
                    ${KDE4_INCLUDES}
                    ${CMAKE_BUILD_DIR}
                    ${QT_INCLUDES}
)

set(xrandr11_SRCS
    xrandr11.cpp
    ../xcbeventlistener.cpp
    ../xcbwrapper.cpp
)

add_library(KSC_XRandR11 MODULE ${xrandr11_SRCS})

set_target_properties(KSC_XRandR11 PROPERTIES PREFIX "")
target_link_libraries(KSC_XRandR11 Qt5::Core
                                   Qt5::Gui
                                   Qt5::X11Extras
                                   ${XCB_LIBRARIES}
                                   KF5::Screen
)

install(TARGETS KSC_XRandR11 DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kscreen/)

=== debian/changelog ===
libkscreen (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:39:49 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/libkscreen
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
@@ -42,7 +42,7 @@
 Section: libdevel
 Depends: libkf5screen7 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: library for screen management - development files
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages -a | egrep ^lib.*[0-9]+$$),-p$p) -- -xlibkf5screen-bin
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkscreen-dbg (<= 4:5.5.4-2~~)'

override_dh_auto_test:
	# Disable tests at build time
	:

## libkscreen 5.13.5

=== debian/changelog ===
libkscreen (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:13 +0100

libkscreen (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - d/patches: Keep kubuntu_disable_failing_tests.patch
    - d/tests: control and testsuite tweaks for ubuntu infra, & pass
      '-fno-keep-inline-functions' to acc test in library .acc.in file. 
    - d/control: Kubuntu packaging Vcs fields.
    - d/control: Keep our Breaks/Replaces.
    - Keep Kubuntu symbols files.
    - Keep additional lintian-overrides.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 04 Sep 2018 18:52:50 +0100

libkscreen (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:08 +0200

libkscreen (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:41:42 +0100

libkscreen (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * Update symbols from build logs
  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:17 +0100

libkscreen (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * testsuite: add dbus-x11 dependency
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:09 +0200

libkscreen (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:30 +0100

libkscreen (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:27 +0100

libkscreen (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Refresh "Make kwayland optional" patch
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:56 +0100

libkscreen (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:44 +0100

libkscreen (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Update symbols files.
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:53 +0100

libkscreen (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:05 -0300

libkscreen (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:33 +0200

libkscreen (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Bump group breaks (5.10)
  * Update symbols files.
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                libkf5wayland-dev (>= 4:5.42.0~) [linux-any],
-               libqt5x11extras5-dev (>= 5.6.1~),
+               libqt5x11extras5-dev (>= 5.9.0~),
                libx11-dev,
                libx11-xcb-dev,
                libxcb-randr0-dev,
@@ -15,8 +15,8 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.9.0~),
+Standards-Version: 4.1.3
 Homepage: https://projects.kde.org/projects/kde/workspace/libkscreen
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
@@ -38,10 +38,10 @@
  This package contains the library helpers and the corresponding dbus service.
 
 Package: libkf5screen-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5screen7 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
+         qtbase5-dev (>= 5.9.0~),
          ${misc:Depends},
 Description: library for screen management - development files
  The KDE multiple monitor support is trying be as smart as possible
@@ -54,8 +54,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5screen5 (<< 4:5.2.0), libkf5screen6
-Replaces: libkf5screen5 (<< 4:5.2.0), libkf5screen6
 Description: library for screen management - shared library
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration
